
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef IMU_PRINT_H
#define IMU_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/genBasicPrint.h"

#include "server/gyroPrint.h"

#include "server/pomPrint.h"


#include "imuPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_IMU_MONITORING_POSTER_STR ( FILE *out,
     struct IMU_MONITORING_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_SEPOS_POSTER_STR ( FILE *out,
     struct IMU_SEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_ATTITUDEESTIMATION_POSTER_STR ( FILE *out,
     struct IMU_ATTITUDEESTIMATION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_SENSORS_POSTER_STR ( FILE *out,
     struct IMU_SENSORS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ImuIDS ( FILE *out,
     struct ImuIDS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_MONITOR_PARAMS ( FILE *out,
     struct IMU_MONITOR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_IMU_MONITOR_LOG_FLAG ( FILE *out,
     enum IMU_MONITOR_LOG_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_MONITOR_DATA ( FILE *out,
     struct IMU_MONITOR_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_IMU_MONITOR_STATUS ( FILE *out,
     enum IMU_MONITOR_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_ATTITUDE_ESTIMATION ( FILE *out,
     struct IMU_ATTITUDE_ESTIMATION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_BACKSTEPPING_PARAMS ( FILE *out,
     struct IMU_BACKSTEPPING_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_IMU_BACKSTEP_MODE ( FILE *out,
     enum IMU_BACKSTEP_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_COMPUTEANGSPEEDSBIASES_PARAMS ( FILE *out,
     struct IMU_COMPUTEANGSPEEDSBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_COMPUTEACCELBIASES_PARAMS ( FILE *out,
     struct IMU_COMPUTEACCELBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_SETACCELBIASES_PARAMS ( FILE *out,
     struct IMU_SETACCELBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_SETSENSORSDATA_PARAMS ( FILE *out,
     struct IMU_SETSENSORSDATA_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_GETSENSORSDATA_PARAMS ( FILE *out,
     struct IMU_GETSENSORSDATA_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_FILTER_PARAMS ( FILE *out,
     struct IMU_FILTER_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_IMU_FILTER_MODE ( FILE *out,
     enum IMU_FILTER_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_VARIANCES ( FILE *out,
     struct IMU_VARIANCES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_INTEGRATEDDATA_INITVALUES ( FILE *out,
     struct IMU_INTEGRATEDDATA_INITVALUES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_IMU_DUMPONFILE_PARAMS ( FILE *out,
     struct IMU_DUMPONFILE_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ImuPoster ( FILE *out,
     struct ImuPoster *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ImuDevice ( FILE *out,
     struct ImuDevice *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_ImuDevice ( FILE *out,
     ImuDevice *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ImuPoster ( FILE *out,
     ImuPoster *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_DUMPONFILE_PARAMS ( FILE *out,
     IMU_DUMPONFILE_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_INTEGRATEDDATA_INITVALUES ( FILE *out,
     IMU_INTEGRATEDDATA_INITVALUES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_VARIANCES ( FILE *out,
     IMU_VARIANCES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_FILTER_MODE ( FILE *out,
     IMU_FILTER_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_FILTER_PARAMS ( FILE *out,
     IMU_FILTER_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_GETSENSORSDATA_PARAMS ( FILE *out,
     IMU_GETSENSORSDATA_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_SETSENSORSDATA_PARAMS ( FILE *out,
     IMU_SETSENSORSDATA_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_SETACCELBIASES_PARAMS ( FILE *out,
     IMU_SETACCELBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_COMPUTEACCELBIASES_PARAMS ( FILE *out,
     IMU_COMPUTEACCELBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_COMPUTEANGSPEEDSBIASES_PARAMS ( FILE *out,
     IMU_COMPUTEANGSPEEDSBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_BACKSTEP_MODE ( FILE *out,
     IMU_BACKSTEP_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_BACKSTEPPING_PARAMS ( FILE *out,
     IMU_BACKSTEPPING_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_ATTITUDE_ESTIMATION ( FILE *out,
     IMU_ATTITUDE_ESTIMATION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_MONITOR_STATUS ( FILE *out,
     IMU_MONITOR_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_MONITOR_DATA ( FILE *out,
     IMU_MONITOR_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_MONITOR_LOG_FLAG ( FILE *out,
     IMU_MONITOR_LOG_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_MONITOR_PARAMS ( FILE *out,
     IMU_MONITOR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ImuIDS ( FILE *out,
     ImuIDS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_SENSORS_POSTER_STR ( FILE *out,
     IMU_SENSORS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_ATTITUDEESTIMATION_POSTER_STR ( FILE *out,
     IMU_ATTITUDEESTIMATION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_SEPOS_POSTER_STR ( FILE *out,
     IMU_SEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_IMU_MONITORING_POSTER_STR ( FILE *out,
     IMU_MONITORING_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* IMU_PRINT_H */

