
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef IMU_PRINTXML_H
#define IMU_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/genBasicPrintXML.h"

#include "server/gyroPrintXML.h"

#include "server/pomPrintXML.h"


#include "imuPosterLib.h"

/* Prototypes */
extern void printXML_struct_IMU_MONITORING_POSTER_STR ( FILE *out, char *name,
     struct IMU_MONITORING_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_SEPOS_POSTER_STR ( FILE *out, char *name,
     struct IMU_SEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_ATTITUDEESTIMATION_POSTER_STR ( FILE *out, char *name,
     struct IMU_ATTITUDEESTIMATION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_SENSORS_POSTER_STR ( FILE *out, char *name,
     struct IMU_SENSORS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ImuIDS ( FILE *out, char *name,
     struct ImuIDS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_MONITOR_PARAMS ( FILE *out, char *name,
     struct IMU_MONITOR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_IMU_MONITOR_LOG_FLAG ( FILE *out, char *name,
     enum IMU_MONITOR_LOG_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_MONITOR_DATA ( FILE *out, char *name,
     struct IMU_MONITOR_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_IMU_MONITOR_STATUS ( FILE *out, char *name,
     enum IMU_MONITOR_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_ATTITUDE_ESTIMATION ( FILE *out, char *name,
     struct IMU_ATTITUDE_ESTIMATION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_BACKSTEPPING_PARAMS ( FILE *out, char *name,
     struct IMU_BACKSTEPPING_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_IMU_BACKSTEP_MODE ( FILE *out, char *name,
     enum IMU_BACKSTEP_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_COMPUTEANGSPEEDSBIASES_PARAMS ( FILE *out, char *name,
     struct IMU_COMPUTEANGSPEEDSBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_COMPUTEACCELBIASES_PARAMS ( FILE *out, char *name,
     struct IMU_COMPUTEACCELBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_SETACCELBIASES_PARAMS ( FILE *out, char *name,
     struct IMU_SETACCELBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_SETSENSORSDATA_PARAMS ( FILE *out, char *name,
     struct IMU_SETSENSORSDATA_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_GETSENSORSDATA_PARAMS ( FILE *out, char *name,
     struct IMU_GETSENSORSDATA_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_FILTER_PARAMS ( FILE *out, char *name,
     struct IMU_FILTER_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_IMU_FILTER_MODE ( FILE *out, char *name,
     enum IMU_FILTER_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_VARIANCES ( FILE *out, char *name,
     struct IMU_VARIANCES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_INTEGRATEDDATA_INITVALUES ( FILE *out, char *name,
     struct IMU_INTEGRATEDDATA_INITVALUES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_IMU_DUMPONFILE_PARAMS ( FILE *out, char *name,
     struct IMU_DUMPONFILE_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ImuPoster ( FILE *out, char *name,
     struct ImuPoster *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ImuDevice ( FILE *out, char *name,
     struct ImuDevice *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_ImuDevice ( FILE *out, char *name,
     ImuDevice *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ImuPoster ( FILE *out, char *name,
     ImuPoster *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_DUMPONFILE_PARAMS ( FILE *out, char *name,
     IMU_DUMPONFILE_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_INTEGRATEDDATA_INITVALUES ( FILE *out, char *name,
     IMU_INTEGRATEDDATA_INITVALUES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_VARIANCES ( FILE *out, char *name,
     IMU_VARIANCES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_FILTER_MODE ( FILE *out, char *name,
     IMU_FILTER_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_FILTER_PARAMS ( FILE *out, char *name,
     IMU_FILTER_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_GETSENSORSDATA_PARAMS ( FILE *out, char *name,
     IMU_GETSENSORSDATA_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_SETSENSORSDATA_PARAMS ( FILE *out, char *name,
     IMU_SETSENSORSDATA_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_SETACCELBIASES_PARAMS ( FILE *out, char *name,
     IMU_SETACCELBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_COMPUTEACCELBIASES_PARAMS ( FILE *out, char *name,
     IMU_COMPUTEACCELBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_COMPUTEANGSPEEDSBIASES_PARAMS ( FILE *out, char *name,
     IMU_COMPUTEANGSPEEDSBIASES_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_BACKSTEP_MODE ( FILE *out, char *name,
     IMU_BACKSTEP_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_BACKSTEPPING_PARAMS ( FILE *out, char *name,
     IMU_BACKSTEPPING_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_ATTITUDE_ESTIMATION ( FILE *out, char *name,
     IMU_ATTITUDE_ESTIMATION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_MONITOR_STATUS ( FILE *out, char *name,
     IMU_MONITOR_STATUS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_MONITOR_DATA ( FILE *out, char *name,
     IMU_MONITOR_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_MONITOR_LOG_FLAG ( FILE *out, char *name,
     IMU_MONITOR_LOG_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_MONITOR_PARAMS ( FILE *out, char *name,
     IMU_MONITOR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ImuIDS ( FILE *out, char *name,
     ImuIDS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_SENSORS_POSTER_STR ( FILE *out, char *name,
     IMU_SENSORS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_ATTITUDEESTIMATION_POSTER_STR ( FILE *out, char *name,
     IMU_ATTITUDEESTIMATION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_SEPOS_POSTER_STR ( FILE *out, char *name,
     IMU_SEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_IMU_MONITORING_POSTER_STR ( FILE *out, char *name,
     IMU_MONITORING_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* IMU_PRINT_XML_H */

